use std::fmt::Display;
use chrono::{DateTime, FixedOffset, Local, Utc};
use serde::{Serialize, Serializer};

#[derive(Serialize)]
pub struct Game{
    pub added: DateTime<FixedOffset>,
    pub author: String,
    pub t0p0: String,
    pub t0p1: String,
    pub t1p0: String,
    pub t1p1: String,
    pub score: i8,
    pub ot: bool,
}

impl Display for Game {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f,"{} {}: {} + {} ({}) {} + {} {}",self.added.to_string(),self.author,self.t0p0,self.t0p0,self.score,self.t1p0,self.t1p1,if self.ot { "(OT)" } else { ""})
    }
}


